(defun c:dirsek	()

  (setq dcl_id (load_dialog "anamenu.dcl"))

  (if (not (new_dialog "anamenu" dcl_id))
    (exit)
  )


  (setq	x (dimx_tile "dirsekP1")
	y (dimy_tile "dirsekP1")
  )
  (start_image "dirsekP1")
  (slide_image 0 -10 x y "dirsekP1")
  (end_image)


  (setq	x (dimx_tile "dirsekP2")
	y (dimy_tile "dirsekP2")
  )
  (start_image "dirsekP2")
  (slide_image 0 -10 x y "dirsekP2")
  (end_image)

  (action_tile "dirsekP1" "(menu1)")
  (action_tile "dirsekP2" "(menu2)")
  (action_tile "accept" "(done_dialog)(setq result nil)")

  (start_dialog)
  (unload_dialog dcl_id)


)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun menu1 ()

  (setq dcl_id1 (load_dialog "anamenu.dcl"))

  (if (not (new_dialog "menu1" dcl_id1))
    (exit)
  )

  (setq	x (dimx_tile "dirsekP3")
	y (dimy_tile "dirsekP3")
  )
  (start_image "dirsekP3")
  (slide_image 0 -10 x y "dirsekP3")
  (end_image)

  (action_tile "OD" (setq discap $value))
  (action_tile "C" (setq cc $value))
  (action_tile "t" (setq tt $value))
  (action_tile "aci" (setq alfa $value))
  (action_tile "ciz1" "(ciz11)")
  (action_tile "cancel" "(exit)")

     (start_dialog)
  (unload_dialog dcl_id1)


)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun menu2 ()

  (setq dcl_id2 (load_dialog "anamenu.dcl"))

  (if (not (new_dialog "menu2" dcl_id2))
    (exit)
  )

  (setq	x (dimx_tile "dirsekP4")
	y (dimy_tile "dirsekP4")
  )
  (start_image "dirsekP4")
  (slide_image 0 -10 x y "dirsekP4")
  (end_image)

  (action_tile "ciz2" "(ciz22)")
  (action_tile "cancel" "(exit)")
  

  (start_dialog)
  (unload_dialog dcl_id2)


)


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



(defun ciz11 ()

  (setq P0 (getpoint "\nPick point:"))
 
 (setq dt (- (atof discap) (atof tt)))
 (setq	r (/ dt 2))
 (setq	cevre (atof (* dt pi)))
 (setq	yay (atof (/ cevre 24)))

 (setq f (* (sin (/ pi 12)) r))
 (setq e (- (* (sin (/ pi 6) r) f)))
 (setq d (- (* (sin (/ pi 4)) r) (+ e f)))
 (setq c (- (* (sin (/ pi 3)) r) (+ d e f)))
 (setq b (- (* (sin (/ (* 5 pi) 12)) r) (+ c d e f)))
 (setq a (- r (+ b c d e f)))
 (setq acii (angtof alfa))


  (setq L0 (+ (atof cc) (* (atof tt) (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L1 (+ L0 (* a (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L2 (+ L1 (* b (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L3 (+ L2 (* c (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L4 (+ L3 (* d (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L5 (+ L4 (* e (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L6 (+ L5 (* f (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L7 (+ L6 (* f (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L8 (+ L7 (* e (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L9 (+ L8 (* d (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L10 (+ L9 (* c (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L11 (+ L10 (* b (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
  (setq	L12 (+ L11 (* a (/ (sin (* (/ acii 180) pi)) (cos (* (/ acii 180) pi))))))
	

  
 (setq	P1 (list (car P0) (+ (cadr P0) L0)))
 (setq	P2 (list (+ (car P0) yay) (cadr P0)))
 (setq	P3 (list (car P2) (+ (cadr P2) L1)))
 (setq	P4 (list (+ (car P2) yay) (cadr P0)))
 (setq	P5 (list (car P4) (+ (cadr P4) L2)))
 (setq	P6 (list (+ (car P4) yay) (cadr P0)))
 (setq	P7 (list (car P6) (+ (cadr P6) L3)))
 (setq	P8 (list (+ (car P6) yay) (cadr P0)))
 (setq	P9 (list (car P8) (+ (cadr P8) L4)))
 (setq	P10 (list (+ (car P8) yay) (cadr P0)))
 (setq	P11 (list (car P10) (+ (cadr P10) L5)))
 (setq	P12 (list (+ (car P10) yay) (cadr P0)))
 (setq	P13 (list (car P12) (+ (cadr P12) L6)))
 (setq	P14 (list (+ (car P12) yay) (cadr P0)))
 (setq	P15 (list (car P14) (+ (cadr P14) L7)))
 (setq	P16 (list (+ (car P14) yay) (cadr P0)))
 (setq	P17 (list (car P16) (+ (cadr P16) L8)))
 (setq	P18 (list (+ (car P16) yay) (cadr P0)))
 (setq	P19 (list (car P18) (+ (cadr P18) L9)))
 (setq	P20 (list (+ (car P18) yay) (cadr P0)))
 (setq	P21 (list (car P20) (+ (cadr P20) L10)))
 (setq	P22 (list (+ (car P20) yay) (cadr P0)))
 (setq	P23 (list (car P22) (+ (cadr P22) L11)))
 (setq	P24 (list (+ (car P22) yay) (cadr P0)))
 (setq	P25 (list (car P24) (+ (cadr P24) L12)))
	

  (command "line" P0 P1 "")
  (command "line" P0 P24 "")
  (command "spline" P1 P3 P5 P7 P9 P11 P13 P15 P17 P19 P21 P23 P25 "")
  (setq w1 (list (- (car P0) 5) (- (cadr P0) 5)))
  (setq w2 (list (+ (car P25) 5) (+ (cadr P25) 5)))
  (command "mirror" w1 w2 "" P24 P25 "")

  )